# Uses of Record Class
com.usatiuk.kleppmanntree.LogRecord

Packages that use LogRecord
Package
Description
com.usatiuk.dhfs.jkleppmanntree.structs
com.usatiuk.kleppmanntree

## Uses of LogRecord in com.usatiuk.dhfs.jkleppmanntree.structs

Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return types with arguments of type LogRecord
Modifier and Type
Method
Description
`org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>`
JKleppmannTreePersistentData.`log()`
Returns the value of the `log` record component.
Method parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type LogRecord
Modifier and Type
Method
Description
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withLog(org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Constructor parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type LogRecord
Modifier
Constructor
Description
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.

## Uses of LogRecord in com.usatiuk.kleppmanntree

Methods in com.usatiuk.kleppmanntree that return types with arguments of type LogRecord
Modifier and Type
Method
Description
`List<org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>>`
LogInterface.`getAll()`
`List<org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>>`
LogInterface.`newestSlice(CombinedTimestamp<TimestampT,PeerIdT> since, boolean inclusive)`
`org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>`
LogInterface.`peekNewest()`
`org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>`
LogInterface.`peekOldest()`
`org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>`
LogInterface.`takeOldest()`
Methods in com.usatiuk.kleppmanntree with parameters of type LogRecord
Modifier and Type
Method
Description
`void`
LogInterface.`put(CombinedTimestamp<TimestampT,PeerIdT> timestamp, LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT> record)`
`void`
LogInterface.`replace(CombinedTimestamp<TimestampT,PeerIdT> timestamp, LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT> record)`